searchData={"items":[{"type":"module","title":"GoogleApi.CloudProfiler.V2","doc":"API client metadata for GoogleApi.CloudProfiler.V2.","ref":"GoogleApi.CloudProfiler.V2.html"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.discovery_revision/0","doc":"","ref":"GoogleApi.CloudProfiler.V2.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.CloudProfiler.V2.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_create/4","doc":"CreateProfile creates a new profile resource in the online mode. _Direct use of this API is discouraged, please use a [supported profiler agent](https://cloud.google.com/profiler/docs/about-profiler#profiling_agent) instead for profile collection._ The server ensures that the new profiles are created at a constant rate per deployment, so the creation request may hang for some time until the next profile session is available. The request may fail with ABORTED error if the creation is not available within ~1m, the response will indicate the duration of the backoff the client should take before attempting creating a profile again. The backoff duration is returned in google.rpc.RetryInfo extension on the response status. To a gRPC client, the extension will be return as a binary-serialized proto in the trailing metadata item named \"google.rpc.retryinfo-bin\".","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_create/4"},{"type":"function","title":"Parameters - GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_create/4","doc":"*   `connection` (*type:* `GoogleApi.CloudProfiler.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Parent project to create the profile in.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_create/4","doc":"*   `{:ok, %GoogleApi.CloudProfiler.V2.Model.Profile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_create/4-returns"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_create_offline/4","doc":"CreateOfflineProfile creates a new profile resource in the offline mode. The client provides the profile to create along with the profile bytes, the server records it. _Direct use of this API is discouraged, please use a [supported profiler agent](https://cloud.google.com/profiler/docs/about-profiler#profiling_agent) instead for profile collection._","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_create_offline/4"},{"type":"function","title":"Parameters - GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_create_offline/4","doc":"*   `connection` (*type:* `GoogleApi.CloudProfiler.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Parent project to create the profile in.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudProfiler.V2.Model.Profile.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_create_offline/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_create_offline/4","doc":"*   `{:ok, %GoogleApi.CloudProfiler.V2.Model.Profile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_create_offline/4-returns"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_list/4","doc":"Lists profiles which have been collected so far and for which the caller has permission to view.","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudProfiler.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent, which owns this collection of profiles. Format: projects/{user_project_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return. Default page_size is 1000. Max limit is 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The token to continue pagination and get profiles from a particular page. When paginating, all other parameters provided to `ListProfiles` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_list/4","doc":"*   `{:ok, %GoogleApi.CloudProfiler.V2.Model.ListProfilesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_list/4-returns"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_patch/4","doc":"UpdateProfile updates the profile bytes and labels on the profile resource created in the online mode. Updating the bytes for profiles created in the offline mode is currently not supported: the profile content must be provided at the time of the profile creation. _Direct use of this API is discouraged, please use a [supported profiler agent](https://cloud.google.com/profiler/docs/about-profiler#profiling_agent) instead for profile collection._","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_patch/4"},{"type":"function","title":"Parameters - GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_patch/4","doc":"*   `connection` (*type:* `GoogleApi.CloudProfiler.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. Opaque, server-assigned, unique ID for this profile.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Field mask used to specify the fields to be overwritten. Currently only profile_bytes and labels fields are supported by UpdateProfile, so only those fields can be specified in the mask. When no mask is provided, all fields are overwritten.\n    *   `:body` (*type:* `GoogleApi.CloudProfiler.V2.Model.Profile.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudProfiler.V2.Api.Projects.cloudprofiler_projects_profiles_patch/4","doc":"*   `{:ok, %GoogleApi.CloudProfiler.V2.Model.Profile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudProfiler.V2.Api.Projects.html#cloudprofiler_projects_profiles_patch/4-returns"},{"type":"module","title":"GoogleApi.CloudProfiler.V2.Connection","doc":"Handle Tesla connections for GoogleApi.CloudProfiler.V2.","ref":"GoogleApi.CloudProfiler.V2.Connection.html"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.CloudProfiler.V2.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.CloudProfiler.V2.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.CloudProfiler.V2.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#get/3"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#head/3"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.CloudProfiler.V2.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.CloudProfiler.V2.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudProfiler.V2.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.CloudProfiler.V2.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.CloudProfiler.V2.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.CloudProfiler.V2.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudProfiler.V2.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudProfiler.V2.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#options/3"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#post/4"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#put/4"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudProfiler.V2.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.CloudProfiler.V2.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.CloudProfiler.V2.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.CloudProfiler.V2.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.CloudProfiler.V2.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.CloudProfiler.V2.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudProfiler.V2.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.CloudProfiler.V2.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.CloudProfiler.V2.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.CloudProfiler.V2.Connection.t/0","doc":"","ref":"GoogleApi.CloudProfiler.V2.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest","doc":"CreateProfileRequest describes a profile resource online creation request. The deployment field must be populated. The profile_type specifies the list of profile types supported by the agent. The creation call will hang until a profile of one of these types needs to be collected.","ref":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest","doc":"*   `deployment` (*type:* `GoogleApi.CloudProfiler.V2.Model.Deployment.t`, *default:* `nil`) - Deployment details.\n*   `profileType` (*type:* `list(String.t)`, *default:* `nil`) - One or more profile types that the agent is capable of providing.","ref":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.t/0","doc":"","ref":"GoogleApi.CloudProfiler.V2.Model.CreateProfileRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudProfiler.V2.Model.Deployment","doc":"Deployment contains the deployment identification information.","ref":"GoogleApi.CloudProfiler.V2.Model.Deployment.html"},{"type":"module","title":"Attributes - GoogleApi.CloudProfiler.V2.Model.Deployment","doc":"*   `labels` (*type:* `map()`, *default:* `nil`) - Labels identify the deployment within the user universe and same target. Validation regex for label names: `^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$`. Value for an individual label must be <= 512 bytes, the total size of all label names and values must be <= 1024 bytes. Label named \"language\" can be used to record the programming language of the profiled deployment. The standard choices for the value include \"java\", \"go\", \"python\", \"ruby\", \"nodejs\", \"php\", \"dotnet\". For deployments running on Google Cloud Platform, \"zone\" or \"region\" label should be present describing the deployment location. An example of a zone is \"us-central1-a\", an example of a region is \"us-central1\" or \"us-central\".\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Project ID is the ID of a cloud project. Validation regex: `^a-z{4,61}[a-z0-9]$`.\n*   `target` (*type:* `String.t`, *default:* `nil`) - Target is the service name used to group related deployments: * Service name for App Engine Flex / Standard. * Cluster and container name for GKE. * User-specified string for direct Compute Engine profiling (e.g. Java). * Job name for Dataflow. Validation regex: `^[a-z0-9]([-a-z0-9_.]{0,253}[a-z0-9])?$`.","ref":"GoogleApi.CloudProfiler.V2.Model.Deployment.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Model.Deployment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudProfiler.V2.Model.Deployment.html#decode/2"},{"type":"type","title":"GoogleApi.CloudProfiler.V2.Model.Deployment.t/0","doc":"","ref":"GoogleApi.CloudProfiler.V2.Model.Deployment.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudProfiler.V2.Model.ListProfilesResponse","doc":"ListProfileResponse contains the list of collected profiles for deployments in projects which the user has permissions to view.","ref":"GoogleApi.CloudProfiler.V2.Model.ListProfilesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudProfiler.V2.Model.ListProfilesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to receive the next page of results. This field maybe empty if there are no more profiles to fetch.\n*   `profiles` (*type:* `list(GoogleApi.CloudProfiler.V2.Model.Profile.t)`, *default:* `nil`) - List of profiles fetched.\n*   `skippedProfiles` (*type:* `integer()`, *default:* `nil`) - Number of profiles that were skipped in the current page since they were not able to be fetched successfully. This should typically be zero. A non-zero value may indicate a transient failure, in which case if the number is too high for your use case, the call may be retried.","ref":"GoogleApi.CloudProfiler.V2.Model.ListProfilesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Model.ListProfilesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudProfiler.V2.Model.ListProfilesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudProfiler.V2.Model.ListProfilesResponse.t/0","doc":"","ref":"GoogleApi.CloudProfiler.V2.Model.ListProfilesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudProfiler.V2.Model.Profile","doc":"Profile resource.","ref":"GoogleApi.CloudProfiler.V2.Model.Profile.html"},{"type":"module","title":"Attributes - GoogleApi.CloudProfiler.V2.Model.Profile","doc":"*   `deployment` (*type:* `GoogleApi.CloudProfiler.V2.Model.Deployment.t`, *default:* `nil`) - Deployment this profile corresponds to.\n*   `duration` (*type:* `String.t`, *default:* `nil`) - Duration of the profiling session. Input (for the offline mode) or output (for the online mode). The field represents requested profiling duration. It may slightly differ from the effective profiling duration, which is recorded in the profile data, in case the profiling can't be stopped immediately (e.g. in case stopping the profiling is handled asynchronously).\n*   `labels` (*type:* `map()`, *default:* `nil`) - Input only. Labels associated to this specific profile. These labels will get merged with the deployment labels for the final data set. See documentation on deployment labels for validation rules and limits.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Opaque, server-assigned, unique ID for this profile.\n*   `profileBytes` (*type:* `String.t`, *default:* `nil`) - Input only. Profile bytes, as a gzip compressed serialized proto, the format is https://github.com/google/pprof/blob/master/proto/profile.proto.\n*   `profileType` (*type:* `String.t`, *default:* `nil`) - Type of profile. For offline mode, this must be specified when creating the profile. For online mode it is assigned and returned by the server.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Start time for the profile. This output is only present in response from the ListProfiles method.","ref":"GoogleApi.CloudProfiler.V2.Model.Profile.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudProfiler.V2.Model.Profile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudProfiler.V2.Model.Profile.html#decode/2"},{"type":"type","title":"GoogleApi.CloudProfiler.V2.Model.Profile.t/0","doc":"","ref":"GoogleApi.CloudProfiler.V2.Model.Profile.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}